Components of a KYB Application
A KYB application consists of information about the business itself and each of its associated parties.Business
- Profile
- Documentation
- Questionnaire
Associated Parties
Each UBO or control person requires their own:
- Profile
- Documentation
Information Required
Different information is required for verification, including both non-documentary and documentary checks. For business users, associated party and ultimate beneficial owner (UBO) information is required in addition to the company information.Profile
Documentation
For more details check DocumentsAssociated Parties
Each UBO or person with significant control of the business must be added as an associated party, with their own profile information and identity documentation. For the required fields and endpoint details, see Associated Parties.Questionnaire
Example: Full KYB Flow
1
Update Compliance Profile
Update the business’s non-documentary informationRequestResponse
2
Add Busines Documentation
Upload the documentation to fulfill the business ResponseAdd Response
legalPresence, ownershipStructure, controlStructure and companyDetails requirementsUse the File endpoint to upload the file first, then add the documentation to the user with the returned file ID (e.g.
file_xxxxxxxxxxxx).Business Documents
AddSTATE_REGISTRYto fulfill legalPresence, ownershipStructure, controlStructurerequirements.RequestUTILITY_BILLto fulfill companyDetails requirements.Request3
Update Questionnaire
RequestResponse
4
Add Associated Party
Add each UBO or person with significant control of the business, then keep the returned ResponseSee Associated Parties for more details
associatedPartyId - you’ll need it to attach their identity documentation in the next step.Request5
Add Document for the Associated Party
Upload the documentation to fulfill the associated party ResponseResponse
identity and proofOfResidence requirementsUse the File endpoint to upload the file first, then add the documentation to the user with the returned file ID (e.g.
file_xxxxxxxxxxxx).Government Issued ID
RequestIf the document has two sides, submit both, using
FRONT_SIDE and BACK_SIDE for the subType.Proof of Address
Request6
Submit compliance information for check
Once all the required information is updated, submit the application for compliance reviewRequestResponse
7
Get the KYB status
Listen to our webhook or poll the user’s compliance statusRequestResponse
Expected Behavior
After submission, the application has the following possible states:APPROVED
APPROVED
No additional action is needed — the user has already passed HIFI’s compliance check.What’s next:Wait for corridor functionality to be unlocked for the user. The timing may vary, and based on the customer profile, the user may not be eligible for all corridors.
PENDING
PENDING
No action required — the information has been uploaded and is awaiting processing.
IN_REVIEW
IN_REVIEW
The application is currently under review by our compliance team.What you can expect:
- An RFI may be sent to your compliance mailbox requesting additional information
- The status may move to
REQUIRES_INFOafter our compliance check — use GET/v3/users/:user_id/compliance/statusto see what additional information is required - The status may move to
REJECTEDorAPPROVEDwhen a final decision is made by our compliance team - A verification link may be included in the
rfiActionsfield when a liveness check is required for an associated party with typeCOMPLETE_LIVENESS_CHECK.
KYB reviews typically take longer than individual KYC due to the additional entity and associated party verification.
REJECTED
REJECTED
Our compliance team has determined that we cannot onboard this user. Reach out to our support team for more information.
REQUIRES_INFO
REQUIRES_INFO
Our compliance team has requested updates to the applicant’s data before resubmission. Common reasons include: a mismatched address on the proof of address, blurry documentation, an incorrectly formatted document, or incomplete associated party information.For more details, check the BreaksdownFor the above example, there are 2 update requirements for the business information — these come in objects that do not include an
rfiActions field after calling GET /v3/users/:user_id/compliance/status.ExampleassociatedPartyId:UPDATE_PROFILE: registrationNumberUPLOAD_DOCUMENT:doc_pu0aoLYYTST8xxewiyblK
apt_kF9sLm2QwXcVbN3yTzR8p that needs updates:UPDATE_PROFILE: ownershipPercentageUPLOAD_DOCUMENT:doc_puDSeif893FEyblK
/v3/users/:user_id/compliance/submit to submit the application again.RFI Actions
When a submitted application needs updated information, therfiActions field will include the actions required before resubmission.
A
COMPLETE_LIVENESS_CHECK action is currently issued when the status is IN_REVIEW.Getting Help
- 📧 Email: support@hifi.com
- 💬 Slack: Message us in our shared Slack channel
Related Resources
- User Overview - User types and creation
- KYC (Individual) - Individual verification requirements
- Associated Parties - UBO and control person requirements
- Virtual Accounts - Set up fiat deposit accounts
- API Reference: Complete endpoints